---
title: BufferSource
slug: Web/API/BufferSource
tags:
  - API
  - Interface
  - JavaScript
  - Reference
  - Typed Arrays
---
<div>{{JSRef("Global_Objects", "ArrayBuffer")}}</div>

<p><code><strong>BufferSource</strong></code> is a typedef used to represent objects that are either themselves an {{jsxref("ArrayBuffer")}}, or which are a {{jsxref("TypedArray")}} providing an {{domxref("ArrayBufferView")}}.</p>

<p>This is a helper type to simplify the specification. It isn't an interface and there are no objects implementing it.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebIDL', "#common-BufferSource", "BufferSource")}}</td>
   <td>{{Spec2('WebIDL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>
